Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class TemplateInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.TemplateInfo

public final class TemplateInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about a workflow template.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`TemplateInfo(java.lang.String id, java.lang.String name)` Create a new `TemplateInfo` object.
`TemplateInfo(java.lang.String id, java.lang.String name, java.lang.String xml)` Create a new `TemplateInfo` object.
`TemplateInfo(java.lang.String id, java.lang.String name, java.lang.String xml, java.util.Map pluginData, boolean published)` Create a new `TemplateInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `TemplateInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `TemplateInfo` objects for equality.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getId()` Return the template ID.
`java.lang.String` | `getName()` Return the template name.
`java.lang.String` | `getOwnerName()`
`java.util.Map` | `getPluginData()` Get the object containing template properties for the all plugins.
`PluginObject` | `getPluginData(java.lang.String pluginName)` Get the object containing template properties for the specified plugin.
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`int` | `getType()`
`boolean` | `isPublished()` Whether this template is published.
`void` | `publish()`
`java.lang.String` | `toString()` Return a string representation of the object.
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateInfo

    public TemplateInfo(java.lang.String id,
                        java.lang.String name)

  Create a new `TemplateInfo` object.

  Parameters:
    `id` - The ID of the workflow template.
    `name` - The template name.

### TemplateInfo

    public TemplateInfo(java.lang.String id,
                        java.lang.String name,
                        java.lang.String xml)

  Create a new `TemplateInfo` object.

  Parameters:
    `id` - The ID of the workflow template.
    `name` - The template name.
    `xml` - The plugin-defined template properties in XML form.
  Since:
    WebLogic Process Integrator 2.0

### TemplateInfo

    public TemplateInfo(java.lang.String id,
                        java.lang.String name,
                        java.lang.String xml,
                        java.util.Map pluginData,
                        boolean published)

  Create a new `TemplateInfo` object.

  Parameters:
    `id` - The ID of the workflow template.
    `name` - The template name.
    `xml` - The plugin-defined template properties in XML form.
    `pluginData` - The plugin-defined template properties.
  Since:
    WebLogic Process Integrator 2.0

Method Detail

### getId

    public final java.lang.String getId()

  Return the template ID.

  Returns:
    The template ID as set in the constructor.

### getName

    public final java.lang.String getName()

  Return the template name.

  Returns:
    The template name as set in the constructor.

### getPluginData

    public java.util.Map getPluginData()

  Get the object containing template properties for the all plugins.

  Returns:
    Map containing plugin template properties, keyed on plugin name.
  Since:
    WebLogic Process Integrator 2.0

### getPluginData

    public PluginObject getPluginData(java.lang.String pluginName)

  Get the object containing template properties for the specified plugin.

  Parameters:
    `pluginName` - The plugin name.
  Returns:
    Plugin specific template properties.
  Since:
    WebLogic Process Integrator 2.0

### isPublished

    public boolean isPublished()

  Whether this template is published.
  Specified by:
    isPublished in interface Publishable

  Returns:
    `true` if published.
  Since:
    WebLogic Process Integrator 2.0

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

### equals

    public boolean equals(java.lang.Object obj)

  Test two `TemplateInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `TemplateInfo` with the same ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `TemplateInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `TemplateInfo`.
  Returns:
    The result of comparing the `name` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `TemplateInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

### toXML

    public java.lang.String toXML()

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)